QGIS Application - Bug report #14685
Missing namespace declaration in the GetFeature request
2016-04-14 10:04 AM - Juergen Weichand

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22649
Description

In the GetFeature request the namespace declaration is missing. This will result in ServiceExceptions on some WFS server. Please add
the namespaces parameter. Example

namespaces=xmins(bvv,http://www.geodaten.bayern.de).

Please also refer to https:/github.com/qgis/QGIS/pull/2977#issuecomment-207578177

Associated revisions

Revision 94fa450e - 2017-11-13 09:23 PM - Even Rouault

[WFS provider] Add NAMESPACES= parameter to GetFeature requests when needed (fixes #14685)

History

#1 - 2016-04-14 10:10 AM - Juergen Weichand

Please also refer to:
https://github.com/qgis/QGIS/pull/297 7#issuecomment-207599833
https://github.com/qgis/QGIS/pull/297 7#issuecomment-207619635

#2 - 2016-10-06 01:21 PM - Even Rouault
- Status changed from Open to Feedback

| looked at the above links, but couldn't find an example of a server + layer that would require namespace. Do you have one ?

#3 - 2016-10-07 04:42 AM - Juergen Weichand

Even Rouault wrote:

I looked at the above links, but couldn't find an example of a server + layer that would require namespace. Do you have one ?

Hi Even,
please check out the following WFS 2.0 reference implementation [1].

GetCapabilities

http://services.interactive-instruments.de/cite-xs-46/simpledemo/cgi-bin/cities-postgresgl/wfs ?request=GetCapabilities&#38;service=wfs

GetFeature
http://services.interactive-instruments.de/cite-xs-46/simpledemo/cgi-bin/cities-postgresql/wfs ?request=GetFeature&#38;service=WFS&#38;version=2.0.
&#38; TYPENAMES=ci:City&#38;COUNT=10&#38;NAMESPACES=xmIns(ci,http://www.interactive-instruments.de/namespaces/demo/cities/4.0/cities)

Best regards
Juergen

[1] https://github.com/opengeospatial/cite/wiki/Reference-Implementations

#4 - 2017-01-02 07:58 AM - Giovanni Manghi
- Status changed from Feedback to Open

#5 - 2017-05-01 01:05 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#6 - 2017-11-13 09:23 PM - Even Rouault

- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|94fa450efdf6de2165f2c9c99dfba04c96b1380e.
